#include <LOLA/facs_util.h>
#include <LOLA/planealg.h>

void main() {
  double objval[2];
  string normact;
  string locfile="test.loc";
  string extrafile="test.restr";
  facs_util EX;
  planealg A;
  restrictions Restr;

/*********************************************
* read  location-file                                *
**********************************************/

  ifstream file (locfile,ios::in);
  EX.ReadLoc(file);


/*********************************************
* solve  problem 1/P/./l2**2/sum                   *     
**********************************************/

  objval[0] = A.l2sqr_sum(EX);
  A.WriteOpt();
  list<location> AlgSol = A.alg_solution();
  normact = "l2sqr";
  EX.View(objval[0],normact,AlgSol,Restr); 

/*********************************************
* read restriction-file                              *
**********************************************/

  ifstream filerestr (extrafile,ios::in);
  Restr = ReadRestr(filerestr);

/*********************************************
* solve problem 1/P/R/l2**2/sum                    *     
**********************************************/

  objval[1] = A.l2sqr_sum(EX,Restr);
  A.WriteOpt();


/*********************************************
* Output in a LEDA-Window                            *
**********************************************/

  AlgSol = A.alg_solution();
  EX.View(objval[1],normact,AlgSol,Restr); 


}
