#include <LOLA/classlolagraph.h>

ostream& operator<<(ostream& os, const sol_typ &output) {
   os << output.source << " " << output.target << " "<< output.alpha_s << endl;
   return os;
}

istream& operator>>(istream& is, sol_typ &input) {
   is >> input.source;
   is >> input.target;
   is >> input.alpha_s;
   return is;
}

ostream& operator<<(ostream& os, const edge_segment &output) {
   os << output.source <<  " " << output.target << " "<< output.alpha_s << " " << output.alpha_t << endl;
   return os;
}

istream& operator>>(istream& is, edge_segment &input) {
   is >> input.source;
   is >> input.target;
   is >> input.alpha_s;
   is >> input.alpha_t;
   return is;
}

ostream& operator<<(ostream& os, const node_weight &output) {
   output.print(os);
   return os;
}

istream& operator>>(istream& is, node_weight &input) {
   input.read(is);
   return is;
}

