# WIN95/NT
# LoLA Makefile for Release 2.0
# Do not touch the following things!!!

CFLAGS          =       -I../include \
			-O2 -Ob2 -DWITHTCLTK -MT

DOSLIB  = ..\lib\libLp.lib \
	..\lib\libLpu.lib \
	..\lib\libLpr.lib \
	..\lib\libLga.lib \
	..\lib\libLgr.lib \
	..\lib\libLd.lib \
	..\lib\liblpk.lib \
	tcl82.lib \
	tk82.lib \
	libW.lib \
	libP.lib \
	libG.lib \
	libL.lib \
	user32.lib \
	gdi32.lib \
	comdlg32.lib \
	shell32.lib


CC              =       cl -nologo
CCXX            =       cl -nologo
MAKE            =       nmake
LL              =       link -nologo -nodefaultlib:"libC.lib"

o               = .obj

OBJEXE         =       haupt.obj

OBJLIB                  =       discrete.obj \
			disc_util.obj \
			disc_scan.obj
			
all:    libLd.lib discrete.exe
	del ..\lib\libLd.lib
	move libLd.lib ..\lib
	move discrete.exe ..\bin

discrete.exe:      $(OBJEXE)
	$(LL) $(OBJEXE) $(DOSLIB) /out:discrete.exe

libLd.lib:      $(OBJLIB)
	lib -nologo -out:libLd.lib $(OBJLIB)

clean:  
	del discrete.obj
	del haupt.obj
	del disc_util.obj
	del disc_scan.obj
	del ..\lib\libLd.lib
	del ..\bin\discrete.exe

.cpp.obj:
	$(CCXX) $(CFLAGS) -c $*.cpp


