# Win95/NT
# LoLA Makefile for Release 2.0
# Keep these settings UNTOUCHED!!

MAKE            =       nmake

#
# Do not touch the following things!!!
#

libp:
	cd libsrc_p
	$(MAKE) -i all
	cd ..

libpr:
	cd libsrc_pr
	$(MAKE) -i all
	cd ..

libpu:
	cd libsrc_pu
	$(MAKE) -i all
	cd ..


libga:
	cd libsrc_ga
	$(MAKE) -i all
	cd ..

libgr:
	cd libsrc_gr
	$(MAKE) -i all
	cd ..
	
frontend:       libp libpr libpu libga libgr
	cd frontend
	$(MAKE) -i all
	cd ..

discrete:       libp libpr libpu libga libgr
	cd discrete
	$(MAKE) -i all
	cd ..

all:    frontend discrete

clean:
	cd libsrc_p 
	$(MAKE) clean
	cd ..\libsrc_pr
	$(MAKE) clean
	cd ..\libsrc_pu 
	$(MAKE) clean
	cd ..\libsrc_ga 
	$(MAKE) clean
	cd ..\libsrc_gr 
	$(MAKE) clean
	cd ..\discrete 
	$(MAKE) clean
	cd ..\frontend 
	$(MAKE) clean
	cd ..

