#
# Input-File-Format
#
proc inputFormat { } {
    catch {destroy .inputF}
    toplevel .inputF
    wm title .inputF "Help for lolagraph"
    wm iconname .inputF "Help graph"
    button .inputF.ok -text OK -command "destroy .inputF"
    text .inputF.t -relief raised -bd 2 -yscrollcommand ".inputF.s set" -setgrid true
    scrollbar .inputF.s -relief flat -command ".inputF.t yview"
    pack .inputF.ok -side bottom -fill x
    pack .inputF.s -side right -fill y
    pack .inputF.t -expand yes -fill both


    # Set up display styles

    .inputF.t tag configure type -font -Adobe-times-medium-r-normal--*-180*
    .inputF.t tag configure bold -font -Adobe-Courier-Bold-O-Normal-*-120-*
    .inputF.t tag configure big -font -Adobe-Courier-Bold-R-Normal-*-140-*
    .inputF.t tag configure verybig -font -Adobe-Helvetica-Bold-R-Normal-*-240-*


    .inputF.t insert 0.0 {



				}
fWT Input-File Format verybig
fWT \n\n\n
fWT { The Input-File Format for Location-File is as follows:} bold
fWT \n\n
fWT {begin {location} [dim,qcrit] 
<x_1 of Ex_1> ... <x_dim of Ex_1> <weight_1 of Ex_1> ... <weight_q of Ex_1> 
<x_1 of Ex_2> ... <x_dim of Ex_2> <weight_1 of Ex_2> ... <weight_q of Ex_2>
		.				.
		.				.
		.				.
<x_1 of Ex_N> ... <x_dim of Ex_N> <weight_1 of Ex_N> ... <weight_q of Ex_N> 
end }
fWT \n\n
fWT {The Input-File Format for Restriction-File is as follows:} bold
fWT \n\n
fWT {begin {restriction} [dim] 
begin {polyhedron} 
<x_1 of Px_1> ... <x_dim of Px_1>
<x_1 of Px_2> ... <x_dim of Px_2> 
       .		.
       .		.
       .		.
<x_1 of Px_M> ... <x_dim of Px_M> 
end {polyhedron}
begin {conpolyhedron} 
<x_1 of Px_1> ... <x_dim of Px_1>
<x_1 of Px_2> ... <x_dim of Px_2> 
       .		.
       .		.
       .		.
<x_1 of Px_M> ... <x_dim of Px_M> 
end {conpolyhedron}
begin {circle}
<x_1 of MC_1> ... <x_dim of MC_1> <radius of C_1>
<x_1 of MC_2> ... <x_dim of MC_2> <radius of C_2>
       .			.
       .			.
       .			.
<x_1 of MC_M> ... <x_dim of MC_M> <radius of C_M>
end {circle}
begin {ellipse} 
<x_1 of ME_1> ... <x_dim of ME_1> <radiusa of E_1> <radiusb of E_1>
<x_1 of ME_2> ... <x_dim of ME_2> <radiusa of E_2> <radiusb of E_2>
		.				.
		.				.
		.				.
<x_1 of ME_M> ... <x_dim of ME_M> <radiusa of E_M> <radiusb of E_M>
end {ellipse}
begin {rectangle}
<x_1 of R_1> ... <x_dim of R_1> <sidea of R_1> <sideb of R_1> <alpha of R_1>
<x_1 of R_2> ... <x_dim of R_2> <sidea of R_2> <sideb of R_2> <alpha of R_2>
		.				.
		.				.
		.				.
<x_1 of R_M> ... <x_dim of R_M> <sidea of R_M> <sideb of R_M> <alpha of R_M>
end {rectangle}
end }
fWT \n\n
fWT {Remark:} bold
fWT { For rectangle is <Rx,Ry> the left bottom point. }
}
