#ifndef LOLA_H
#define LOLA_H
#ifdef          __cplusplus
#include <LEDA/basic.h>
#define BOOL bool
extern "C"
{
#else
#define BOOL char
#define true 1
#define false 0
#endif
/* maps choice to algorithm, executes it on locfile and extrafile and
   puts output into outfile (none if NULL, cout if ""). No grahical
   solution display if win=false. net identifies graph-, gauge
   identifies gauge distances */
extern void _algoch(int choice, const char *locfile, const char *extrafile,
		const char *gaugefile, const char *outfile, BOOL win, BOOL net, BOOL gauge);

/* Returns true if restriction are not disjunct */
extern int _Int_all_Restr(char *restrfile);

#ifdef WITHTCLTK
/* Evaluates the Tk-script "lolafront" */
extern void 	_lolatk(int argc, char **argv);
#endif
#ifdef          __cplusplus
}
#endif
#endif
