#include <LOLA/discrete.h>

int main(int argc, char **argv)
{
	int wahl;
	double obj_val=0;
	discrete D;
	string locfile;
	if (argc==2) locfile = string(argv[1]);
	else locfile = string("");
	ifstream file (locfile,ios::in);
	D.disc_read(locfile);
	menu Mchoice("Algorithms");
	Mchoice.button("Greedy",1);
	Mchoice.button("Stingy",2);
	Mchoice.button("Interchange",3);
	Mchoice.button("Dualoc",4);
	Mchoice.button("Cancel",6);
	Mchoice.display(window::center,window::center);
	for (;;) {
		D.del_sol();
		wahl = Mchoice.read_mouse();
		switch (wahl) {
		case 1: obj_val=D.UFLP_greedy(); D.DiscView(obj_val); break;
		case 2: obj_val=D.UFLP_stingy(); D.DiscView(obj_val); break;
		case 3: obj_val=D.UFLP_Interchange(); D.DiscView(obj_val); break;
		case 4: obj_val=D.UFLP_dualoc(); D.DiscView(obj_val); break;
		case 6: return 0;
		default: break;
		}
	}
	return 0;
}

