#ifndef SBOpobj_h
#define SBOpobj_h

#include <LEDA/point.h>

class PO {
  double _d;
  point _p;

public:
  PO();
  PO(const PO&);
  PO(double,const point&);
  ~PO();
  point pt() const;
  double val() const;
  friend int compare(const PO&,const PO&);
  friend ostream& operator<<(ostream&,const PO&);
  friend istream& operator>>(istream&,PO&);
};
#endif
