#include <LOLA/pobj.h>

PO::PO() {
  _d = 0;
  _p = point();
}

PO::PO(const PO& P) {
  _d=P._d;
  _p=P._p;
}

PO::PO(double d,const point& p) {
  _d=d;
  _p=p;
}

PO::~PO() {
  _d = 0;
}

point PO::pt() const {
  return _p;
}

double PO::val() const {
  return _d;
}

int compare(const PO& p1,const PO& p2) {
  if (p1._d<p2._d) return -1;
  if (p1._d==p2._d) return  0;
  if (p1._d>p2._d) return  1;
  return 0;
}  

ostream& operator<<(ostream& os,const PO& p) {
  os << p._p << " " << p._d;
  return os;
}

istream& operator>>(istream& is,PO& p) {
  is >> p._p >> p._d;
  return is;
}
