# WIN95/NT
# LoLA Makefile for Release 2.0
# Do not touch the following things!!!

CFLAGS          =       -I../include \
			-O2 -Ob2 -DWITHTCLTK -MT

DOSLIB  = ..\lib\libLp.lib \
	..\lib\libLpu.lib \
	..\lib\libLpr.lib \
	..\lib\libLga.lib \
	..\lib\libLgr.lib \
	..\lib\liblpk.lib \
	tcl82.lib \
	tk82.lib \
	libW.lib \
	libP.lib \
	libG.lib \
	libL.lib \
		libcimt.lib \
	user32.lib \
	gdi32.lib \
	comdlg32.lib \
	shell32.lib


CC              =       cl -nologo
CCXX            =       cl -nologo
MAKE            =       nmake
LL              =       link -nologo -nodefaultlib:"libC.lib"

o               = .obj

OBJLIB         =       lola.obj \
			lolatk.obj
OBJGR           =       lolagraph.obj \
			lolag.obj

all:    lolagraph.exe lola.exe  
	move lolagraph.exe ..\bin
	move lola.exe ..\bin

lola.exe:      $(OBJLIB)
	$(LL) $(OBJLIB) $(DOSLIB)

lolagraph.exe:  $(OBJGR)
	$(LL) $(OBJGR) $(DOSLIB)

clean:  
	del lola.obj
	del lolatk.obj
	del lolagraph.obj
	del lolag.obj
#       del *.lib

.cpp.obj:
	$(CCXX) $(CFLAGS) -c $*.cpp

.c.obj:
	$(CCXX) $(CFLAGS) -c $*.c


