# WIN95/NT
# LoLA Makefile for Release 2.0
# Do not touch the following things!!!

CFLAGS          =       -I../include \
			-O2 -Ob2 -MT -DWITHTCLTK
		
DIR             = ..\libsrc_p                 

CC              =       cl -nologo
CCXX            =       cl -nologo
MAKE            =       nmake

o               = .obj

OBJLIB         =        planealg.obj \
			location.obj \
			loc_vector.obj \
			lola_error.obj \
			facilities.obj \
			line.obj \
			lines.obj \
			blocknorm.obj \
			lpsolver.obj

all:    libLp.lib
	del ..\lib\libLp.lib
	move libLp.lib ..\lib

libLp.lib:      $(OBJLIB)
	lib -nologo -out:libLp.lib $(OBJLIB)



clean:  
	del *.obj
	del ..\lib\libLp.lib

.cpp.obj:
	$(CCXX) $(CFLAGS) -c $*.cpp

.c.obj:
	$(CCXX) $(CFLAGS) -c $*.c


