# The procedure below inserts text into a given text widget and
# applies one or more tags to that text.  The arguments are:
#
# text          Text to insert (it's inserted at the "insert" mark)
# args          One or more tags to apply to text.  If this is empty

proc iWT {text args} {
    set start [.index.t index insert]
    .index.t insert insert $text
    foreach tag [.index.t tag names $start] {
        .index.t tag remove $tag $start insert
    }
    foreach i $args {
        .index.t tag add $i $start insert
    }
}


proc fWT {text args} {
    set start [.inputF.t index insert]
    .inputF.t insert insert $text
    foreach tag [.inputF.t tag names $start] {
        .inputF.t tag remove $tag $start insert
    }
    foreach i $args {
        .inputF.t tag add $i $start insert
    }
}

#               then all tags are removed from the text.
