#
# Help for GraphEdit
#
proc IndexGraphE { } {
    catch {destroy .indexG}
    toplevel .indexG
    wm title .indexG "Help for GraphEdit"
    wm iconname .indexG "Help graph"
    frame .indexG.m
    pack .indexG.m -side top
    button .indexG.m.intro -text Introduction -command ".indexG.t yview 0"
    button .indexG.m.index -text Index -command ".indexG.t yview 13"
#    button .indexG.m.search -text Search -command "jedit:cmd:find .indexG.t"
    button .indexG.ok -text OK -command "destroy .indexG"
    text .indexG.t -relief raised -bd 2 -yscrollcommand ".indexG.s set" -setgrid true 
    scrollbar .indexG.s -relief flat -command ".indexG.t yview"
    pack .indexG.m.intro .indexG.m.index -in .indexG.m -side left -ipadx 2m -ipady 1m
    pack .indexG.ok -side bottom -fill x
    pack .indexG.s -side right -fill y
    pack .indexG.t -expand yes -fill both

    # Set up display styles

    .indexG.t tag configure bold -font -Adobe-Courier-Bold-O-Normal--*-120-*
    .indexG.t tag configure big -font -Adobe-Courier-Bold-R-Normal--*-140-*
    .indexG.t tag configure verybig -font -Adobe-Helvetica-Bold-R-Normal--*-240-*

     foreach item {inputF file options newmax drawhull number qcrit loc poly conpoly circle rect graph gauge} {
      .indexG.t tag configure $item -underline on 
      .indexG.t tag bind $item <Any-Enter> ".indexG.t tag configure $item -foreground red"
      .indexG.t tag bind $item <Any-Leave> ".indexG.t tag configure $item -foreground {}"
     }


    .indexG.t insert 0.0 { 


				}
gWT Grapheditor verybig
gWT \n\n\n 
gWT {This graphical editor is used to generate input for LOLA. You can use the mouse to make a problem
file for a location or a network problem. It will create a location file, a gauge file, a graph file or a 
restriction file in the correct }
gWT Input-Format inputF 
gWT {.
In the top there is the menubar where you can choose }
gWT File file 
gWT {, }
gWT  Options options
gWT { or Help what you see right now. }
gWT \n\n\n\n 
gWT Index: big
gWT \n\n {
	}
gWT File file
gWT {	
}
gWT Options options
gWT {	
    }
gWT NewMax newmax
gWT {	
    }
gWT DrawHull drawhull
gWT {	
    }
gWT Number number
gWT {	
    }
#gWT Q-Crit qcrit
#gWT {	
#    }
gWT locations loc
gWT {	
    }
gWT restrictions
gWT {	
	}
gWT polyhedron poly
gWT {	
	}
gWT {convex polyhedron} conpoly
gWT {	
	}
gWT circle circle
gWT {	
	}
#gWT ellipse elli
#gWT {	
#	}
gWT rectangle rect
gWT {	
    }
gWT {Create Gauge} gauge
gWT {
    }
gWT {undirected Graph} graph 
gWT {  
    }
gWT \n\n\n\n 
gWT File: big
gWT {

	}
gWT New: bold
gWT {		clear the window

	}
gWT Load: bold
gWT {		load location or restriction file (must have correct input format)

	}
gWT {Load interactionmatrix:} bold
gWT {	load matrix file for an N-location problem

	}
gWT {Save location:} bold
gWT {	save the coordinates and weights of locations

	}
gWT {Save graph:} bold
gWT {	save the coordinates and weights of nodes and edges

	}
gWT {Save restriction:} bold
gWT {	save the coordinates of restrictions

	}
gWT {Save interactionmatrix:} bold
gWT {	save a matrix file (is avalialbe for number > 1)

	}
gWT Print: bold
gWT {		print your input as a postscript

	}
gWT Quit: bold
gWT {		quit the Grapheditor and go back to LOLA }
gWT \n\n\n\n 
gWT Options: big
gWT {


	}
gWT NewMax: bold
gWT {		change the xmax and ymax for your input window 
			(default value is 50 and integer)

	}
gWT DrawHull: bold
gWT {		draws the convex hull for all locations

	}
gWT Number: bold
gWT {		insert the number for new locations. Afterwards you will be able to insert 
			the interdependence matrix (default value is 1)

	}
#gWT Q-crit: bold
#gWT {		insert the number of criterias for multicriterielle
#			problems (default value is 1)
#
#	}
gWT locations: bold
gWT {	-click with the left mouse button defines an existing facility at the actual 
			 position
			-click with pressed Shift-Key and left mouse button on an existing point 
			 gives you a dialog to change the weight of this point 
			 (default value is 1)
			-click with pressed Control-Key and left mouse button on an existing 
			 point deletes this point
			-click with right mouse button and moving the mouse moves the point 
			 until you release the mouse button
			-click with pressed Shift-Key and right mouse button on an existing 
			 point gives you a dialog to insert a string as a description for this 
			 location

	}
#gWT restrictions: bold
#gWT {	choose outside and the forbidden region is outside 
#			the restriction, otherwise the forbidden
#		 	region is inside (default) and then choose 	
#			choose one of the following restrictions 	
#	}
gWT polyhedron: bold
gWT {	-click with the left mouse button defines a point of the polyhedron
			-double click with the left mouse button defines the last point of this 
			 polyhedron 
			-click with pressed Control-Key and left mouse button on an existing 
			 point deletes all polyhedrons 
			-click with right mouse button and moving the mouse moves the 
			 polyhedron until you release the mouse button

	}
gWT { convex polyhedron: } bold
gWT {-click with the left mouse button defines a point of the polyhedron
			-double click with the left mouse button defines the last point of this 
			 convex polyhedron and creates a convex polyhedron 
			-click with pressed Control-Key and left mouse button on an existing 
			 point deletes all convex polyhedrons 

	}
gWT circle: bold
gWT {		-click with the left mouse button defines the middlepoint of the circle
			-click with pressed Shift-Key and left mouse button and moving the 
			 mouse creates the circle and defines the radius if you release the 
			 mouse button
			-click with pressed Control-Key and left mouse button on an existing 
			 middlepoint deletes the circle
			-click with right mouse button and moving the mouse moves the circle 
			 until you release the mouse button

	}
#gWT ellipse: bold
#gWT {	-click with the left mouse button defines the middle-
#			 point of the ellipse
#			-click with pressed Shift-Key and left mouse button 
#			 and moving the mouse creates the ellipse and defines 
#			 the radius a and b if you release the mouse button
#			-click with pressed Control-Key and left mouse button
#			 on an existing middlepoint deletes the ellipse
#			-click with right mouse button and moving the mouse 
#			 moves the ellipse until you release the mouse button
#
#	}
gWT rectangle: bold
gWT {	-click with the left mouse button defines the point on the left bottom of 
			 the rectangle
			-click with pressed Shift-Key and left mouse button and moving the 
			 mouse creates the rectangle and defines the sides a and b if you 
			 release the mouse button then you will be able to insert a angle alpha 
			 to rotate the rectangle (-90 < alpha < 90)
			-click with pressed Control-Key and left mouse button on an existing 
			 point deletes the rectangle
			-click with right mouse button and moving the mouse moves the 
			 rectangle until you release the mouse button
	
	}
gWT {Create Gauge:} bold
gWT {	opens a window to choose the maximal extension of the gauge and a 
			window to create gauges with the buttons:
			-Save Gauge: save single gauge in a file
			-Show/Hide Unit Ball: make the unit ball of the gauge (in)visible
			-Clear: clear the input window
			-Append to Gauge-List: append the actual gauge to a polygauge list 
			 (if no list exist right now, anew one is opened)
			-Save Gauge-List: save the whole polygauge list in a file
			-Clear Gauge-List: delete the existing polygauge list
			-Symmetr/Unsymmetr: create symmetrical or unsymmetrical polygauges 
			 (default is symmetrical: Only one of two symmetrical extreme points of 
			 the unit ball has to be added, the other is added automatically)
			-Refresh: refresh the input window
			-Close: close the input window
	}
gWT {undirected Graph:} bold
gWT {	choose whether the graph is a directed one or an undirected one 
			-click with the middle mouse button (assuming you have three) on one 
			 location and release the button on another location to draw a edge 
			 between these locations
			-in case you have only two mouse buttons you can also use the 
			 Alt-Key together with the left mouse button to draw edges
			-click with Shift-Key and the left mouse button to insert an edge-weight 
			-click on the Control-Key and the left mouse button delete an edge 

In the bottom you can see the actual coordinates of the mouseposition and the actual insert Mode.
}
    .indexG.t tag bind inputF <3> inputFormat
    .indexG.t tag bind file <3> ".indexG.t yview 30"
    .indexG.t tag bind options <3> ".indexG.t yview 54"
    .indexG.t tag bind newmax <3> ".indexG.t yview 57"
    .indexG.t tag bind drawhull <3> ".indexG.t yview 60"
    .indexG.t tag bind number <3> ".indexG.t yview 62"
#    .indexG.t tag bind qcrit <3> ".indexG.t yview 65"
    .indexG.t tag bind loc <3> ".indexG.t yview 65"
    .indexG.t tag bind poly <3> ".indexG.t yview 78"
    .indexG.t tag bind conpoly <3> ".indexG.t yview 86"
    .indexG.t tag bind circle <3> ".indexG.t yview 92"
#    .indexG.t tag bind elli <3> ".indexG.t yview 105"
    .indexG.t tag bind rect <3> ".indexG.t yview 101"
	.indexG.t tag bind gauge <3> ".indexG.t yview 112"
    .indexG.t tag bind graph <3> ".indexG.t yview 129"
    .indexG.t mark set insert 0.0
    bind .indexG.t <Any-Enter> { }
}

#
# Help for LOLA
#
proc IndexLoLA { } {
    catch {destroy .indexL}
    toplevel .indexL
    wm title .indexL "Help for lola"
    wm iconname .indexL "Help "
    frame .indexL.m
    pack .indexL.m -side top
    button .indexL.m.intro -text Introduction -command ".indexL.t yview 0"
    button .indexL.m.index -text Index -command ".indexL.t yview 17"
#    button .indexL.m.search -text Search -command "jedit:cmd:find .indexL.t"
    button .indexL.ok -text OK -command "destroy .indexL"
    text .indexL.t -relief raised -bd 2 -yscrollcommand ".indexL.s set" -setgrid true 
    scrollbar .indexL.s -relief flat -command ".indexL.t yview"
    pack .indexL.m.intro .indexL.m.index -in .indexL.m -side left -ipadx 2m -ipady 1m
    pack .indexL.ok -side bottom -fill x
    pack .indexL.s -side right -fill y
    pack .indexL.t -expand yes -fill both

    # Set up display styles

    .indexL.t tag configure bold -font -Adobe-Courier-Bold-O-Normal--*-120-*
    .indexL.t tag configure big -font -Adobe-Courier-Bold-R-Normal--*-140-*
    .indexL.t tag configure verybig -font -Adobe-Helvetica-Bold-R-Normal--*-240-*
    .indexL.t tag configure inputF -underline on 
    .indexL.t tag configure helpG -underline on 
    .indexL.t tag configure file -underline on 
    .indexL.t tag configure options -underline on 
    .indexL.t tag configure Class -underline on  
     foreach item {inputF helpG file options Class } {
      .indexL.t tag configure $item -underline on 
      .indexL.t tag bind $item <Any-Enter> ".indexL.t tag configure $item -foreground red"
      .indexL.t tag bind $item <Any-Leave> ".indexL.t tag configure $item -foreground {}"
     }


    .indexL.t insert 0.0 { 


				}
lWT LOLA verybig
lWT \n\n\n
lWT {This program allows you to compute several location-problems. You need to
choose a problem and a Location file. If you choose a restricted problem
you will be able to choose a Restriction file. To create one of this files
you can edit a file or create it graphically with the } 
lWT Grapheditor helpG
lWT {. If you 
want to edit it you need the correct }
lWT  Input-Format inputF
lWT {.
In the top there is the menubar where you can choose }
lWT File file 
lWT {, one of the
}
lWT Classification Class
lWT {-positions, }
lWT Options options
lWT { or Help what you see right now. 
In the bottom is the Computation-Button to solve a problem. If you press this
button, the problem will be solved and shown in a different window. }
lWT \n\n\n\n 
lWT Index: big
lWT \n\n {
	}
lWT File file
lWT {	
}
lWT Classification Class
lWT {	
    		}
lWT Number number
lWT {	
		}
lWT Type type
lWT {	
		}
lWT Extras extras
lWT {	
		}
lWT Metric metric
lWT {	
		}
lWT Objective obje
lWT {	
}
lWT Options options
lWT {	
}
lWT \n\n\n\n
lWT File: big
lWT {

	}
lWT {Load location:} bold
lWT {		load location file 

	}
lWT {Load restriction:} bold
lWT {	load restriction file ( it is disabled for 
				nonrestrictive problems )

	}
lWT {Load matrix:} bold
lWT {		load matrix file (is avaialbe for number > 1 )

	}
lWT Edit: bold
lWT {			gives you an Editor to create a file	

	}
lWT graphEdit: bold
lWT {		gives you the }
lWT Grapheditor helpG 
lWT { to create a file	

	}
lWT Quit: bold
lWT {			quit LOLA 


}
lWT \n\n\n\n
lWT Options: big
lWT {

	}
lWT Preferences: bold
lWT {		some variable for the lp algorithms and 
				a directory for your files

	}
lWT Examples  bold
lWT {

		}
lWT Load: bold
lWT {		load an example

		}
lWT Create: bold
lWT {		create an example with randomized values. 
				Here you can choose different maxima and 
				minima for the values and you can  divide 
				the choosen region in a grid. So you can pick
				a small region where a lot of locations appear
				or where no location appears (0)  

}
lWT Classification Class big
lWT {-positions }
    .indexL.t tag bind inputF <3> inputFormat
    .indexL.t tag bind helpG <3> IndexGraphE
    .indexL.t tag bind file <3>  { .indexL.t yview 30 }
    .indexL.t tag bind options <3>  { .indexL.t yview 50 }
    .indexL.t tag bind Class <3>  ClassLOLA
    .indexL.t mark set insert 0.0
    bind .indexL.t <Any-Enter> { }
}

#
# Classification
#
proc ClassLOLA { } {
    catch {destroy .indexC}
    toplevel .indexC
    wm title .indexC "Classification for lola"
    wm iconname .indexC "Classi "
#    button .indexC.search -text Search -command "jedit:cmd:find .indexC.t"
    button .indexC.ok -text OK -command "destroy .indexC"
    text .indexC.t -relief raised -bd 2 -yscrollcommand ".indexC.s set" -setgrid true 
    scrollbar .indexC.s -relief flat -command ".indexC.t yview"
#    pack .indexC.search -side top -anchor nw 
    pack .indexC.ok -side bottom -fill x
    pack .indexC.s -side right -fill y
    pack .indexC.t -expand yes -fill both

    # Set up display styles

    .indexC.t tag configure bold -font -Adobe-Courier-Bold-O-Normal--*-120-*
    .indexC.t tag configure big -font -Adobe-Courier-Bold-R-Normal--*-140-*
    .indexC.t tag configure verybig -font -Adobe-Helvetica-Bold-R-Normal--*-240-*

    .indexC.t insert 0.0 { 


				}
cWT Classification verybig
cWT \n\n\n
cWT {
The classification scheme consist of five positions and it is useful to give an
overview over the great variety of location problems. It has the form}
cWT \n
cWT {		Pos 1 / Pos 2 / Pos 3 / Pos 4 / Pos 5} bold
cWT \n
cWT {with the following meanings of the different positions.}
cWT \n\n\n
cWT {Pos 1:} big 
cWT {  Number of the new facilities}
cWT \n\n\n 
cWT {Pos 2:} big
cWT {  Type of the locationproblem.  Examples for items are}
cWT \n\n 
cWT {	P} bold	
cWT {	planar locationproblems, that means existing and new 
		locations are given with their coordinates in the plane}
cWT \n\n 
cWT {	D} bold	
cWT {	discrete locationproblems, that means there are only finite 
		possibilities for locate the locations}
cWT \n\n 
cWT {	G} bold	
cWT {	graph locationproblems, that means existing and new locations 
		are parts of a graph}
cWT \n\n 
cWT {	T} bold	
cWT {	tree locationproblems, that means existing and new locations 
		are parts of a tree}
cWT \n\n\n
cWT {Pos 3:} big
cWT {  Extras of the locationproblem.  Examples for items are}
cWT \n\n 
cWT {	restrictions} bold	
cWT {	 restrictions for the choice of a new location}
cWT \n\n 
cWT {	barriers} bold	
cWT {	 barriers for the choice of a new location}
cWT \n\n\n
cWT {Pos 4:} big
cWT {  Determines the definition of the distance. Examples for items are}
cWT \n\n 
cWT {	l1} bold	
cWT {	 l1-metric}
cWT \n\n 
cWT {	l2} bold	
cWT {	 l2-metric}
cWT \n\n 
cWT {	lp} bold	
cWT {	 lp-metric}
cWT \n\n 
cWT {	l2**2} bold	
cWT {	 square-euclidean-metric}
cWT \n\n 
cWT {	linf} bold	
cWT {	 infinite-metric}
cWT \n\n\n
cWT {Pos 5:} big
cWT {  Defines the objective as a function of the distances. Examples
	 for items are}
cWT \n\n 
cWT {	median} bold	
cWT {	 weighted sum of the different functions (medianproblem)}
cWT \n\n 
cWT {	center} bold	
cWT {	 maximum of the distances (centerproblem)}


    .indexC.t mark set insert 0.0
    bind .indexC.t <Any-Enter> { }
}


#
# Input-File-Format
#
proc inputFormat { } {
    catch {destroy .inputF}
    toplevel .inputF
    wm title .inputF "Input-File Format"
    wm iconname .inputF "Input-File"
#    wm minsize .inputF 100 20
    wm geometry .inputF 100x20
#    button .inputF.search -text Search -command "jedit:cmd:find .inputF.t"
    button .inputF.ok -text OK -command "destroy .inputF"
    text .inputF.t -relief raised -bd 2 -yscroll ".inputF.s set" -setgrid true
    scrollbar .inputF.s -relief flat -command ".inputF.t yview"
#    scrollbar .inputF.b -orient horiz -relief flat -command ".inputF.t xview"
#    pack .inputF.search -side top -anchor nw 
    pack .inputF.ok -side bottom -fill x
    pack .inputF.s -side right -fill y
#    pack .inputF.b -side bottom -fill x
    pack .inputF.t -expand yes -fill both


    # Set up display styles

    .inputF.t tag configure type -font -Adobe-times-medium-r-normal--*-180*
    .inputF.t tag configure bold -font -Adobe-Courier-Bold-O-Normal--*-120-*
    .inputF.t tag configure big -font -Adobe-Courier-Bold-R-Normal--*-140-*
    .inputF.t tag configure verybig -font -Adobe-Helvetica-Bold-R-Normal--*-240-*


    .inputF.t insert 0.0 {



				}
fWT Input-File Format verybig
fWT \n\n\n
fWT { The Input-File Format for Location-File is as follows:} bold
fWT \n\n
fWT {begin {location} [dim,qcrit] 
<x_1 of Ex_1> ... <x_dim of Ex_1> <weight_1 of Ex_1> ... <weight_q of Ex_1> [description of Ex_1]
<x_1 of Ex_2> ... <x_dim of Ex_2> <weight_1 of Ex_2> ... <weight_q of Ex_2> [description of Ex_2]
		.				.
		.				.
		.				.
<x_1 of Ex_N> ... <x_dim of Ex_N> <weight_1 of Ex_N> ... <weight_q of Ex_N> [description of Ex_N] 
end {location} }
fWT \n\n
fWT {Remark:} bold
fWT { For locations combined with gauges there must included the gaugenumber in the polygaugelist after the weights }
fWT \n\n\n
fWT { The Input-File Format for a Graph-File is as follows:} bold
fWT \n\n
fWT {begin {lolagraph}
begin {location} [dim,qcrit]
<x_1 of Ex_1> ... <x_dim of Ex_1> <weight_1 of Ex_1> ... <weight_q of Ex_1> [des
cription of Ex_1]
<x_1 of Ex_2> ... <x_dim of Ex_2> <weight_1 of Ex_2> ... <weight_q of Ex_2> [des
cription of Ex_2]
                .                               .
                .                               .
                .                               .
<x_1 of Ex_N> ... <x_dim of Ex_N> <weight_1 of Ex_N> ... <weight_q of Ex_N> [des
cription of Ex_N]
end {location}
begin {adjlist}
<number of location> <number of location> <length>  
	.			.	     . 
	.			.	     . 
end {adjlist}
end {lolagraph} }
fWT \n\n
fWT {The Input-File Format for Restriction-File is as follows:} bold
fWT \n\n
fWT {begin {restriction} [dim] 
begin {polyhedron} 
<x_1 of Px_1> ... <x_dim of Px_1>
<x_1 of Px_2> ... <x_dim of Px_2> 
       .		.
       .		.
       .		.
<x_1 of Px_M> ... <x_dim of Px_M> 
end {polyhedron}
begin {conpolyhedron} 
<x_1 of Px_1> ... <x_dim of Px_1>
<x_1 of Px_2> ... <x_dim of Px_2> 
       .		.
       .		.
       .		.
<x_1 of Px_M> ... <x_dim of Px_M> 
end {conpolyhedron}
begin {circle}
<x_1 of MC_1> ... <x_dim of MC_1> <radius of C_1>
<x_1 of MC_2> ... <x_dim of MC_2> <radius of C_2>
       .			.
       .			.
       .			.
<x_1 of MC_M> ... <x_dim of MC_M> <radius of C_M>
end {circle}
begin {rectangle}
<x_1 of R_1> ... <x_dim of R_1> <sidea of R_1> <sideb of R_1> <alpha of R_1>
<x_1 of R_2> ... <x_dim of R_2> <sidea of R_2> <sideb of R_2> <alpha of R_2>
		.				.
		.				.
		.				.
<x_1 of R_M> ... <x_dim of R_M> <sidea of R_M> <sideb of R_M> <alpha of R_M>
end {rectangle}
end {restriction} }
fWT \n\n
fWT {Remark:} bold
fWT { For rectangle is <Rx,Ry> the left bottom point. }
fWT \n\n\n
fWT { The Input-File Format for Matrix-File is as follows:} bold
fWT \n\n
fWT {begin {matrix} [N] 
<weight_11> ... <weight_1N>
<weight_21> ... <weight_2N>
    .               .
    .               .
    .               .
<weight_M1> ... <weight_MN>
end {matrix} }
fWT \n\n\n
fWT { The Input-File Format for Gauge-File is as follows:} bold
fWT \n\n
fWT {begin {polygaugelist}
begin {polygauge}
<x_1> <y_1>
<x_2> <y_2>
  .    .
  .    .
  .    .
<x_n> <y_n>
end {polygauge}
  .    .
  .    .
  .    .
begin {polygauge}
<x_1> <y_1>
<x_2> <y_2>
  .    .
  .    .
  .    .
<x_m> <y_m>
end {polygauge}
end {polygaugelist} }
.inputF.t mark set insert 0.0
}

# The procedure below inserts text into a given text widget and
# applies one or more tags to that text.  The arguments are:
#
# text          Text to insert (it's inserted at the "insert" mark)
# args          One or more tags to apply to text.  If this is empty

proc gWT {text args} {
    set start [.indexG.t index insert]
    .indexG.t insert insert $text
    foreach tag [.indexG.t tag names $start] {
        .indexG.t tag remove $tag $start insert
    }
    foreach i $args {
        .indexG.t tag add $i $start insert
    }
}



proc lWT {text args} {
    set start [.indexL.t index insert]
    .indexL.t insert insert $text
    foreach tag [.indexL.t tag names $start] {
        .indexL.t tag remove $tag $start insert
    }
    foreach i $args {
        .indexL.t tag add $i $start insert
    }
}



proc cWT {text args} {
    set start [.indexC.t index insert]
    .indexC.t insert insert $text
    foreach tag [.indexC.t tag names $start] {
        .indexC.t tag remove $tag $start insert
    }
    foreach i $args {
        .indexC.t tag add $i $start insert
    }
}


proc fWT {text args} {
    set start [.inputF.t index insert]
    .inputF.t insert insert $text
    foreach tag [.inputF.t tag names $start] {
        .inputF.t tag remove $tag $start insert
    }
    foreach i $args {
        .inputF.t tag add $i $start insert
    }
}

#               then all tags are removed from the text.
#
# About for HelpMenu
#
proc aboutLoLA {{w .about}} {
    global tk_library
    catch {destroy $w}
    toplevel $w
    wm title $w "About... "
    wm iconname $w "About"
    message $w.aboutmsg -font -Adobe-times-medium-r-normal--*-180* -relief sunken -width 500  -borderwidth 1 -text "
        Arbeitsgruppe Prof. Hamacher
        Universitt Kaiserslautern
        Fachbereich Mathematik
        LOLA VERSION 2.0beta"
    button $w.ok -text OK -command "destroy $w"
    pack $w.aboutmsg -side top
    pack $w.ok -side bottom -fill x -padx 5m -pady 5m
}

#
# Info
#
proc Info {info } {
    global tk_library lolatkdir infook

    set infook 0
    toplevel .info
    # wir wollen die Aufmerksamkeit des Benutzers mit keinem anderen unserer
    # Fenster teilen
    grab set .info
    wm title .info "Info "
    wm iconname .info "Info"
    label .info.infobit -bitmap @$lolatkdir/tktools/bitmaps/info
    message .info.infomsg -width 200 -anchor w -text $info
    button .info.ok -text OK -command "destroy .info; set infook 1"
    pack .info.infobit .info.infomsg -side left -padx 10m
    pack .info.ok -side bottom -fill x -padx 5m -pady 5m
    # so, jetzt warten wir drauf, dass der User OK klickt
    tkwait variable infook
    set infook 0
}
